package com.dcsoft.system.face.service;

import java.util.List;

import com.dcsoft.common.core.web.domain.AjaxResult;
import com.dcsoft.system.api.domain.SysUser;
import com.dcsoft.system.face.domain.FaceStudent;
import org.springframework.web.multipart.MultipartFile;

/**
 * 学生信息Service接口
 *
 * @author nichun
 * @date 2023-03-30
 */
public interface IFaceStudentService
{
    /**
     * 查询学生信息
     *
     * @param id 学生信息主键
     * @return 学生信息
     */
    public FaceStudent selectFaceStudentById(Long id);

    /**
     * 查询学生信息列表
     *
     * @param faceStudent 学生信息
     * @return 学生信息集合
     */
    public List<FaceStudent> selectFaceStudentList(FaceStudent faceStudent);

    /**
     * 新增学生信息
     *
     * @param faceStudent 学生信息
     * @return 结果
     */
    public int insertFaceStudent(FaceStudent faceStudent);

    /**
     * 修改学生信息
     *
     * @param faceStudent 学生信息
     * @return 结果
     */
    public int updateFaceStudent(FaceStudent faceStudent);

    /**
     * 批量删除学生信息
     *
     * @param ids 需要删除的学生信息主键集合
     * @return 结果
     */
    public int deleteFaceStudentByIds(Long[] ids);

    /**
     * 删除学生信息信息
     *
     * @param id 学生信息主键
     * @return 结果
     */
    public int deleteFaceStudentById(Long id);


    StringBuffer importPicture(MultipartFile picture,Boolean isUpdateSupport) throws Exception;

    public String importStudent(List<FaceStudent> userList, Boolean isUpdateSupport, String operName);

    public FaceStudent getStudent(FaceStudent faceStudent);

    public AjaxResult top();

    public AjaxResult topChart();

    public AjaxResult getGather();

    public int examineStudentByIds(Long[] ids,String erification);

}
